Skip to main content
POST
Post Storage Unit

This endpoint is in beta and requires opting-in.

Please contact support if you’re interested in using this endpoint.

Authorizations

Authorization
string
header
required

A JWT Bearer token header for authentication and authorization, in the format Authorization: Bearer <token>

Headers

x-client-secret
string
required

A secret token identifying the client connecting to the API

Example:

"Syou3EZiO5vuMEgNyBeA8cjEMYOnQDwP"

Body

application/json
latitude
number
required

A WGS84 latitude in decimal degrees, between -90 and 90.

Required range: -90 <= x <= 90
Examples:

51.5072

-33.8688

longitude
number
required

A WGS84 longitude in decimal degrees, between -180 and 180.

Required range: -180 <= x <= 180
Examples:

-0.1276

151.2093

name
string
required

The name of the storage unit. Must be at most 100 characters long.

Maximum string length: 100
storage_location_id
string
required
Required string length: 20 - 37
Examples:

"slc_1F3PMGVC91S0SBK3"

"slc_1DCY5K78BSBX3XMZ"

description
default:{"__typename":"Undefined"}
supplier_reference_id
default:{"__typename":"Undefined"}

A string that must be unique for all resources created by a specific supplier. It can be used by a client to identify the correct objects in their system.

Required string length: 1 - 200

Response

Successful Response

id
string
required
Required string length: 20 - 37
Examples:

"sgu_1E844FWM71S0E0TM"

"sgu_1DTBHQEBGSBXBCZV"

name
string
required

The name of the storage unit

Maximum string length: 100
storage_location_id
string
required

The ID of the storage location this storage unit belongs to

Required string length: 20 - 37
Examples:

"slc_1F3PMGVC91S0SBK3"

"slc_1DCY5K78BSBX3XMZ"

supplier_id
string
required

The ID of the supplier this storage location belongs to

Required string length: 20 - 37
Examples:

"spl_1CC712KFS1S0YKPS"

"spl_1FJBMMGR3SBXKDME"

description
string | null

Optional description of the storage unit

latitude
number | null

A WGS84 latitude in decimal degrees, between -90 and 90.

Required range: -90 <= x <= 90
Example:

51.5072

longitude
number | null

A WGS84 longitude in decimal degrees, between -180 and 180.

Required range: -180 <= x <= 180
Example:

-0.1276

supplier_reference_id
string | null

A string that must be unique for all resources created by a specific supplier. It can be used by a client to identify the correct objects in their system.

Required string length: 1 - 100